Skip to main content
GET
/
v1
/
namespaces
/
{tenant_meta.namespace}
/
policy-templates
/
{uuid}
GetPolicyTemplate
curl --request GET \
  --url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/policy-templates/{uuid}
{
  "meta": {
    "name": "<string>",
    "annotations": {},
    "create_time": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "description": "<string>",
    "index_data": {
      "data": [
        "<string>"
      ],
      "search_score": 123,
      "tenant": "<string>",
      "will_be_deleted_at": "2023-11-07T05:31:56Z"
    },
    "kind": "<string>",
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "references": {},
    "tags": [
      "<string>"
    ],
    "update_time": "2023-11-07T05:31:56Z",
    "updated_by": "<string>",
    "upsert_time": "2023-11-07T05:31:56Z",
    "version": "<string>"
  },
  "spec": {
    "policy_type": "POLICY_TYPE_UNSPECIFIED",
    "query_statements": [
      "<string>"
    ],
    "rule": "<string>",
    "version": "<string>",
    "admission": {
      "bypass_exceptions": true,
      "disable_enforcement": true
    },
    "default_enabled": true,
    "deprecated": true,
    "finding": {
      "explanation": "<string>",
      "level": "FINDING_LEVEL_UNSPECIFIED",
      "remediation": "<string>",
      "summary": "<string>",
      "categories": [
        "FINDING_CATEGORY_UNSPECIFIED"
      ],
      "external_name": "<string>",
      "meta_tags": [
        "<string>"
      ],
      "tags": [
        "FINDING_TAGS_UNSPECIFIED"
      ],
      "target_kind": "<string>"
    },
    "finding_categories": [
      "FINDING_CATEGORY_UNSPECIFIED"
    ],
    "finding_level": "FINDING_LEVEL_UNSPECIFIED",
    "group_by_fields": [
      "<string>"
    ],
    "release_notes": {},
    "resource_kinds": [
      "<string>"
    ],
    "template_parameters": [
      {
        "description": "<string>",
        "name": "<string>",
        "value": "<string>",
        "default_values": [
          "<string>"
        ],
        "multiple_ok": true,
        "possible_values": [
          "<string>"
        ],
        "possible_values_from_db": {
          "input_field": "<string>",
          "resource_kind": "<string>",
          "filter": "<string>",
          "namespace": "<string>"
        },
        "required": true
      }
    ]
  },
  "propagate": true,
  "tenant_meta": {
    "namespace": "<string>"
  },
  "uuid": "<string>"
}

Path Parameters

tenant_meta.namespace
string
required

Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".

uuid
string
required

The UUID of the requested resource.

Query Parameters

get_parameters.mask
string

List of fields to return (all fields are returned by default).

Response

A successful response.

PolicyTemplate represents a policy system in the system. Policy templates can be used to create policies from these templates.

meta
object
required

Common fields for all Endor Labs resources.

spec
object
required
propagate
boolean

Whether the object should be visible in child namespaces or not.

tenant_meta
object

Tenant related data for the tenant containing the resource.

uuid
string

The UUID of the policy template.